Bug 457082 - samba-client: manual page of rpcclient is incomplete/incorrect
Summary: samba-client: manual page of rpcclient is incomplete/incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-29 15:15 UTC by Ales Zelinka
Modified: 2010-03-30 09:03 UTC (History)
4 users (show)

Fixed In Version: samba-3.0.33-3.24.el5
Doc Type: Bug Fix
Doc Text:
previously, the man pages and usage messages for rpcclient, smbcacls, samba-client, smbget, smbtree, and pdbedit contained errors, omissions, and outdated information. Users could not therefore rely on the provided documentation to use these programs. The documentation for each of these components has been reviewed and corrected and no longer contains misleading information.
Clone Of:
Environment:
Last Closed: 2010-03-30 09:03:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
complete log from option-comparator utilities (1.76 KB, application/octet-stream)
2008-07-29 15:15 UTC, Ales Zelinka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0300 0 normal SHIPPED_LIVE samba bug fix update 2010-03-29 14:28:18 UTC

Description Ales Zelinka 2008-07-29 15:15:46 UTC
Description of problem:
1) manual page of rpcclient does not mention longer versions of following
command line options: -k (--kerberos), -I (--dest-ip), -s (--configfile), 
-n (--netbiosname), -N (--no-pass), -i (--scope), -O (--socket-options)

2) --logfile is stated as a long version of -l option but --log-basename is
actually recognized by the binary

3)following options are not covered by the man page at all: -P --machine-pass,
 -p --port, -S --signed

Version-Release number of selected component (if applicable):
samba-client-3.0.28-1.el5_2.2.i386

How reproducible:
always

Steps to Reproduce:
compare manpage to rpcclient --help
  
Additional info:
Used Milos Malik's option-comparator to do the options analysis. See
attachments for complete output.

Comment 1 Ales Zelinka 2008-07-29 15:15:46 UTC
Created attachment 312892 [details]
complete log from option-comparator utilities

Comment 11 Ruediger Landmann 2010-03-22 15:29:35 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
previously, the man pages and usage messages for rpcclient, 
smbcacls, samba-client, smbget, smbtree, and pdbedit contained 
errors, omissions, and outdated information. Users could not
therefore rely on the provided documentation to use these programs. 
The documentation for each of these components has been reviewed and 
corrected and no longer contains misleading information.

Comment 12 errata-xmlrpc 2010-03-30 09:03:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0300.html


Note You need to log in before you can comment on or make changes to this bug.